package com.deer.wms.produce.manage.service;

import com.deer.wms.produce.manage.model.*;
import com.deer.wms.project.seed.core.service.Service;

import java.util.List;

/**
 * Created by hy on 2019/07/19.
 */
public interface ProcessMaterialsBomService extends Service<ProcessMaterialsBom, Integer> {

    List<ProcessMaterialsBomVo> findProcMatBomVoListByProId(ProcessMaterialsBomParams params);

    List<ProcessMaterialsBom> findListByProcessBomId(ProcessMaterialsBomParams params);

    List<MaterialInfoVo> findMaterilaListByProcessBomId(ProcessBom processBom);

    List<ProcessMaterialsBomVo> findProcMatBomVoListByProcBom(ProcessMaterialsBomParams procMatBomParams);


    //List<ProcessMaterialsBom> findList(ProcessMaterialsBomParams params) ;

}
